Create a new mandate signature request

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Memo Bank API MCP server": {
    "url": "https://docs.api.memo.bank/mcp"
  }
}

Close
POST /v2/mandate_signature_requests

An email will be sent to the mandate debtor so they can complete and sign the collection mandate.

Scope: mandate-signature-requests:write

application/json

Body object Required

One of:

Responses

  • 200 application/json

    OK

    One of:
POST /v2/mandate_signature_requests
curl \
 --request POST 'https://api.memo.bank/v2/mandate_signature_requests' \
 --header "Content-Type: application/json" \
 --data '{"reference":"ABC123DEF","scheme":"core","language":"french","mode":"email","debtor":{"name":"John Doe","iban":"FR2512739000308553756377J95","address":{"street":"rue de la Boétie","postal_code":"75008","city":"Paris","country":"FR"}},"contract_reference":"CUST-1234","debtor_email":"foo@bar.com","email_custom_message":"Hi John Doe, here's a collection mandate to sign."}'
Request examples
{
  "reference": "ABC123DEF",
  "scheme": "core",
  "language": "french",
  "mode": "email",
  "debtor": {
    "name": "John Doe",
    "iban": "FR2512739000308553756377J95",
    "address": {
      "street": "rue de la Boétie",
      "postal_code": "75008",
      "city": "Paris",
      "country": "FR"
    }
  },
  "contract_reference": "CUST-1234",
  "debtor_email": "foo@bar.com",
  "email_custom_message": "Hi John Doe, here's a collection mandate to sign."
}
{
  "reference": "ABC123DEF",
  "scheme": "core",
  "language": "french",
  "mode": "redirect",
  "debtor": {
    "name": "John Doe",
    "iban": "FR2512739000308553756377J95",
    "address": {
      "street": "rue de la Boétie",
      "postal_code": "75008",
      "city": "Paris",
      "country": "FR"
    }
  },
  "contract_reference": "CUST-1234",
  "debtor_email": "foo@bar.com",
  "redirect_uri": "https://example.com/signed"
}
Response examples (200)
{
  "reference": "ABC123DEF",
  "id": "61b05c4f-3f72-4951-8c30-a2a9faaa5184",
  "scheme": "core",
  "language": "french",
  "status": "sent",
  "mode": "email",
  "is_deleted": false,
  "debtor": {
    "name": "John Doe",
    "iban": "FR2512739000308553756377J95",
    "address": {
      "street": "1 rue Rivoli",
      "postal_code": "75004",
      "city": "Paris",
      "country": "FR"
    }
  },
  "contract_reference": "CUST-1234",
  "debtor_email": "foo@bar.com",
  "email_custom_message": "Hi John Doe, here's a collection mandate to sign."
}
{
  "reference": "ABC123DEF",
  "id": "61b05c4f-3f72-4951-8c30-a2a9faaa5184",
  "scheme": "core",
  "language": "french",
  "status": "sent",
  "mode": "redirect",
  "is_deleted": false,
  "debtor": {
    "name": "John Doe",
    "iban": "FR2512739000308553756377J95",
    "address": {
      "street": "1 rue Rivoli",
      "postal_code": "75004",
      "city": "Paris",
      "country": "FR"
    }
  },
  "contract_reference": "CUST-1234",
  "debtor_email": "foo@bar.com",
  "signature_url": "https://client.memo.bank/mandate/abc123",
  "redirect_uri": "https://example.com/signed"
}